# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "mixxc"
version = "0.1.7"
authors = ["Elvyria <elvyria@tutanota.com>"]
description = "Minimalistic volume mixer."
readme = "README.md"
license = "MIT"
repository = "https://github.com/Elvyria/mixxc"

[dependencies.anyhow]
version = "1.0"

[dependencies.argh]
version = "0.1"

[dependencies.bitflags]
version = "2.4"

[dependencies.color-print]
version = "0.3.5"

[dependencies.enum_dispatch]
version = "0.3"

[dependencies.filetime]
version = "0.2"
optional = true

[dependencies.gdk-x11]
version = "0.7"
features = ["xlib"]
optional = true
package = "gdk4-x11"

[dependencies.grass]
version = "0.13"
optional = true

[dependencies.gtk4-layer-shell]
version = "0.2"
optional = true

[dependencies.libpulse-binding]
version = "2.0"
features = ["pa_v8"]
default_features = false

[dependencies.relm4]
version = "=0.7.0-beta.1"
features = ["macros"]
default_features = false

[dependencies.thiserror]
version = "1.0"

[dependencies.tracker]
version = "0.1"

[dependencies.x11rb]
version = "0.12.0"
features = ["xinerama"]
optional = true

[features]
Sass = [
    "dep:grass",
    "dep:filetime",
]
Wayland = ["dep:gtk4-layer-shell"]
X11 = [
    "dep:x11rb",
    "dep:gdk-x11",
]
